<template>
    <el-menu
    :default-active="activeIndex"
    class="el-menu-demo nav-list"
    mode="horizontal"
    :ellipsis="false"
  >
  <!-- @select="handleSelect" -->

    <!-- <div class="flex-grow" /> -->
    <el-menu-item index="1">广场</el-menu-item>
    <el-menu-item index="2">图文</el-menu-item>
    <el-menu-item index="3">视频</el-menu-item>
    <el-menu-item index="4">关注</el-menu-item>
  </el-menu>
    <el-container style="padding: 40px 15%;">
        <el-row style="width: 100%;">
            <el-col :span="16">
                <!-- <h1 class="l-title">{{ title }}</h1> -->
                <el-row class="post-list-card">
                    <postCard/>
                </el-row>
            </el-col>
            <el-col :span="8" style="padding-left: 40px;">
            <!-- <el-row >
                <btnList/>
            </el-row> -->
            <el-row>
                <toolList/>
            </el-row>
            <el-row class="topic-list">
                <topicCard/>
            </el-row>
            </el-col>
        </el-row>
    </el-container>
</template>
<script >
import { defineComponent } from 'vue';
import { reactive, ref } from 'vue';
import topicCard from '../../components/topicCard.vue'
import btnList from '../../components/btnList.vue'
import toolList from '../../components/toolList.vue'
import postCard from '../../components/seach/postList.vue'
export default {
    components:{
        topicCard,
        postCard,
        btnList,
        toolList
    },
    setup() {
        const lunBoList = [
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
        ]
 const activeIndex = ref('1')
 const title = ref('帖子广场');
// const handleSelect = (key: string, keyPath: string[]) => {
//   console.log(key, keyPath)
// }
        return {
            activeIndex,
            lunBoList,
            title
        }
    }
}
</script>
<style lang="less" scoped>
.nav-list{
    padding: 0 15%;
    .el-menu-item{
        font-size: 20px;
        margin: 0 10px;
    }
}

// .l-title{
//         padding: 10px 10px 20px 0;
//         font-weight: 900;
//         letter-spacing: 4px;
//         font-size: 28px;
//     }

.btn-list{
    width: 100%;
    height: 240px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    div{
        margin:20px;
        .el-button{
            width: 160px;
            height: 50px;
            .el-icon{
                font-size: 30px;
                padding-right: 10px;
            }
        }
    }
}
.topic-list,.hop-list{
    margin-top: 20px;
}
.el-carousel__item:nth-child(2n) {
    background-color: #99a9bf;
}

.el-carousel__item:nth-child(2n + 1) {
    background-color: #d3dce6;
}
</style>